> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getgaana.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Media Config Destroy

> Deletes a media configuration.



## OpenAPI

````yaml delete /media-config/{id}/
openapi: 3.0.3
info:
  title: Gaana AI Visual On-Brand Generation
  version: v1
  description: >-
    This API helps external developers to use Gaana AI API to create visuals
    (image, video) which resonate with their brand guidelines. They can create
    visuals by giving a concept, providing product images, or using reference
    images that inspire them.
  contact:
    name: Gaana AI Support
    email: support@gaana.ai
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - description: Production
    url: https://production.getgaana.com/api
  - description: Stage/Sandbox
    url: https://experiment.getgaana.com/api
security: []
tags:
  - name: auth
    description: Authentication API to generate bearer token
  - name: file_upload
    description: File upload API to upload product images
  - name: products
    description: Product APIs
  - name: concept
    description: Concept APIs
  - name: media-config
    description: Media configuration APIs
  - name: media
    description: Media APIs
paths:
  /media-config/{id}/:
    delete:
      tags:
        - media-config
      description: Deletes a media configuration.
      operationId: media_config_destroy
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      responses:
        '204':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse_'
          description: ''
      security:
        - jwtAuth: []
components:
  schemas:
    SuccessResponse_:
      type: object
      properties:
        message:
          type: string
        status:
          $ref: '#/components/schemas/StatusE7cEnum'
      required:
        - message
        - status
    StatusE7cEnum:
      enum:
        - success
      type: string
      description: '* `success` - success'
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````